package info.bukova.isspst;

import info.bukova.isspst.reporting.Report;

import java.util.ArrayList;
import java.util.List;

public class Module {
	
	private String id;
	private String name;
	private Class<?> serviceClass;
	private List<Report> reports;
	private boolean defaultPermissions;
	private boolean active;
	
	public Class<?> getServiceClass() {
		return serviceClass;
	}

	public void setServiceClass(Class<?> serviceClass) {
		this.serviceClass = serviceClass;
	}

	public Module(String id, String name, Class<?> serviceClass) {
		this.id = id;
		this.name = name;
		this.serviceClass = serviceClass;
		reports = new ArrayList<Report>();
		defaultPermissions = true;
		active = true;
	}
	
	public Module(String id, String name, Class<?> serviceClass, boolean active) {
		this(id, name, serviceClass);
		this.active = active;
	}
	
	public Module(String id, String name, Class<?> serviceClass, boolean active, boolean defaultPermissions) {
		this(id, name, serviceClass, active);
		this.defaultPermissions = defaultPermissions;
	}
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public List<Report> getReports() {
		return reports;
	}
	
	public void addReport(Report report) {
		this.reports.add(report);
	}

	public boolean isDefaultPermissions() {
		return defaultPermissions;
	}

	public void setDefaultPermissions(boolean defaultPermissions) {
		this.defaultPermissions = defaultPermissions;
	}

	public boolean isActive() {
		return active;
	}

	public void setActive(boolean active) {
		this.active = active;
	}

}
